Summary: Simplify TCP/IP socket operations
Name: libvanessa_socket2
Version: 0.0.13
Release: 11.10
License: GNU Lesser General Public Licence (examples released under the GNU General Public Licence)
URL: http://www.vergenet.net/linux/vanessa/
Group: Development/Libraries
Source0: ftp://vergenet.net/pub/vanessa_socket/vanessa_socket/vanessa_socket-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: %{name}-%{version}
BuildRequires: gcc make libvanessa_logger0-devel >= 0.0.8

%description
Library to simplify TCP/IP socket operations. Includes code to
open a socket to a server as a client, to listen on socket for
clients as a server and to pipe information between sockets.


%package devel
Summary: Headers and static libraries for development
Group: Development/Libraries
Requires: %{name}-%{version} libvanessa_logger0-devel >= 0.0.8
Provides: %{name}-devel-%{version}

%description devel
Headers and static libraries required to develop against libvanessa_socket.

%prep
%setup -n vanessa_socket-%{version}

%build

%configure --disable-static
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

# Don't install libvanessa_socket.la
[ ! -e $RPM_BUILD_ROOT/%{_libdir}/libvanessa_socket.la ] || \
	rm $RPM_BUILD_ROOT/%{_libdir}/libvanessa_socket.la

# Purge vanessa_socket_pipe
[ ! -e $RPM_BUILD_ROOT/%{_bindir}/vanessa_socket_pipe ] || \
    rm $RPM_BUILD_ROOT/%{_bindir}/vanessa_socket_pipe
[ ! -e $RPM_BUILD_ROOT/%{_mandir}/man1/vanessa_socket_pipe.1 ] || \
    rm $RPM_BUILD_ROOT/%{_mandir}/man1/vanessa_socket_pipe.1

%clean
rm -rf $RPM_BUILD_ROOT


%post
ldconfig

%postun
ldconfig

%files 
%defattr(-, root, root)
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*.h
%doc README COPYING ChangeLog

%changelog
* Sun Jun 14 2015 Simon Horman <horms@verge.net.au> (0.0.13-1)
  new release
* Tue Jun 22 2010 Simon Horman <horms@verge.net.au> (0.0.12-1)
  new release
